Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737516 - Enable new DNF countme option
Summary: Enable new DNF countme option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1647454
Blocks: 1672504
TreeView+ depends on / blocked
 
Reported: 2019-08-05 14:50 UTC by Michal Domonkos
Modified: 2021-01-02 16:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-02 16:55:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Domonkos 2019-08-05 14:50:50 UTC
With the introduction of the "countme" feature [1] to DNF in Fedora 31, we will need to have the following option added to the default repo configs (since the global default in DNF is going to be "0"):


[fedora]
...
countme=1


[updates]
...
countme=1


Note that the choice of "fedora" and "updates" repos is just my good guess.  Which repos exactly we'd like to enable counting on will (probably) depend on FESCo's decision.  Maybe Matt or Stephen could help us here?

[1] https://fedoraproject.org/wiki/Changes/DNF_Better_Counting
    https://github.com/rpm-software-management/libdnf/pull/768

Comment 1 Ben Cotton 2019-08-13 18:33:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Michal Domonkos 2019-10-01 09:06:49 UTC
Hi Mohan, is there any chance this could be resolved till the F31 final freeze next week?  Thanks!

Comment 3 Ben Cotton 2019-10-01 14:06:01 UTC
The Change owner delayed this to F32, so I'm changing the version to rawhide and noting that it blocks the Change tracking bug.

Comment 4 Michal Domonkos 2019-10-01 14:11:57 UTC
Wrong needinfo, correcting.

Comment 5 Mohan Boddu 2019-10-01 16:48:01 UTC
(In reply to Michal Domonkos from comment #2)
> Hi Mohan, is there any chance this could be resolved till the F31 final
> freeze next week?  Thanks!

I am a bit confused, the change request says its for f32, but the above comment says for f31.

I am enabling it for f32 now, please let me know if we should do this for f31 as well?

Do remember f31 final freeze starts Oct 8th 2019 which is only a week away.

Comment 6 Mohan Boddu 2019-10-01 16:54:51 UTC
PR for f32

https://src.fedoraproject.org/rpms/fedora-repos/pull-request/42

Comment 7 Michal Domonkos 2019-10-18 13:21:19 UTC
(In reply to Mohan Boddu from comment #5)
> (In reply to Michal Domonkos from comment #2)
> > Hi Mohan, is there any chance this could be resolved till the F31 final
> > freeze next week?  Thanks!
> 
> I am a bit confused, the change request says its for f32, but the above
> comment says for f31.

Yeah, I think the reason for pushing it back to F32 formally was that there was still work to do on the server-side of things.

Comment 8 Michal Domonkos 2019-11-11 16:25:00 UTC
FTR, I believe that once the server-side implementation is complete, we should enable this in F31:

https://pagure.io/fedora-infrastructure/issue/7677

Comment 9 Stephen John Smoogen 2019-11-11 19:21:08 UTC
Sorry. The backend is completely async from this change. You can make the change whenever you want and I will process the old logs to get the data out of them. I need to actually see the change in the logs to get an idea of what 'variants' might show up because of proxies, firewalls, strange incantations to the Old Ones, etc. So please implement this now and the backend analysis will catch up later.

Comment 10 Ben Cotton 2020-02-11 15:43:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 11 Mohan Boddu 2020-04-09 21:47:20 UTC
Fixed in fedora-repos-32-0.4


Note You need to log in before you can comment on or make changes to this bug.